> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Related public services and citizen journey

> Blends curated journey edges, catalog taxonomy, and compatible semantic embeddings.



## OpenAPI

````yaml https://raw.githubusercontent.com/prefeitura-rio/app-catalogo/refs/heads/main/docs/openapi-v3.json get /api/public/services/{slug}/relations
openapi: 3.0.0
info:
  contact:
    name: Prefeitura do Rio de Janeiro
    url: https://github.com/prefeitura-rio/app-catalogo
  description: >-
    Discovery layer unificada da Prefeitura do Rio de Janeiro. Indexa serviços
    públicos, cursos, vagas e oportunidades MEI com busca full-text e
    recomendação personalizada por perfil de cidadão.
  title: app-catalogo
  version: '1.0'
servers:
  - url: https://services.staging.app.dados.rio/catalogo
    description: Staging
  - url: https://services.pref.rio/catalogo
    description: Produção
security: []
paths:
  /api/public/services/{slug}/relations:
    get:
      tags:
        - catálogo
      summary: Related public services and citizen journey
      description: >-
        Blends curated journey edges, catalog taxonomy, and compatible semantic
        embeddings.
      parameters:
        - description: Canonical or historical service slug
          in: path
          name: slug
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.PublicServiceRelationsResponse'
          description: OK
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '308':
          description: Permanent Redirect
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Bad Request
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '404':
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Not Found
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
components:
  schemas:
    models.PublicServiceRelationsResponse:
      properties:
        catalog_revision:
          type: string
        cluster:
          $ref: '#/components/schemas/models.PublicServiceCluster'
        journey:
          $ref: '#/components/schemas/models.PublicServiceJourney'
        recommendations:
          items:
            $ref: '#/components/schemas/models.PublicServiceRelation'
          maxItems: 8
          type: array
      required:
        - catalog_revision
        - cluster
        - journey
        - recommendations
      type: object
      additionalProperties: false
    models.PublicServiceCluster:
      properties:
        services:
          items:
            $ref: '#/components/schemas/models.PublicServiceRelation'
          maxItems: 8
          type: array
        theme:
          type: string
      required:
        - services
      type: object
      additionalProperties: false
    models.PublicServiceJourney:
      properties:
        next_steps:
          items:
            $ref: '#/components/schemas/models.PublicServiceRelation'
          maxItems: 8
          type: array
        service_slug:
          type: string
        theme:
          type: string
      required:
        - next_steps
        - service_slug
      type: object
      additionalProperties: false
    models.PublicServiceRelation:
      properties:
        id:
          format: uuid
          type: string
        organization:
          type: string
          minLength: 1
          maxLength: 500
        reason:
          type: string
          minLength: 1
          maxLength: 2000
        short_desc:
          type: string
          minLength: 1
          maxLength: 2000
        slug:
          type: string
          minLength: 1
          maxLength: 200
          pattern: ^[a-z0-9][a-z0-9-]*$
        title:
          type: string
          minLength: 1
          maxLength: 500
          pattern: \S
        url:
          format: uri
          type: string
          minLength: 1
          maxLength: 2048
          pattern: ^/servicos/categoria/[^?#]+/[^/?#]+$
      required:
        - id
        - short_desc
        - slug
        - title
      type: object
      additionalProperties: false
  headers:
    X-Request-ID:
      description: Canonical UUID used to correlate the response with application logs.
      schema:
        format: uuid
        type: string

````